﻿#include "DialogueTextNode.h"
#include "DialogueTree.h"

#define LOCTEXT_NAMESPACE "UDialogueTextNode"

UDialogueTextNode::UDialogueTextNode()
{
#if WITH_EDITORONLY_DATA
	CompatibleGraphType = UDialogueTree::StaticClass();

	ContextMenuName = LOCTEXT("ConextMenuName", "Dialogue Node");
#endif
}

#if WITH_EDITOR

FText UDialogueTextNode::GetNodeTitle() const
{
	return Text.IsEmpty() ? LOCTEXT("EmptyParagraph", "(Empty paragraph)") : Text;
}

void UDialogueTextNode::SetNodeTitle(const FText& NewTitle)
{
	Text = NewTitle;
}

FLinearColor UDialogueTextNode::GetBackgroundColor() const
{
	const UDialogueTree* DialogueTree = Cast<UDialogueTree>(GetGraph());

	if (DialogueTree == nullptr)
		return Super::GetBackgroundColor();

	switch (DialoguePosition)
	{
	case EDialoguePosition::Left:
		return DialogueTree->LeftDialogueBgColor;
	case EDialoguePosition::Right:
		return DialogueTree->RightDialogueBgColor;
	default:
		return FLinearColor::Black;
	}
}

#endif

#undef LOCTEXT_NAMESPACE