﻿#pragma once

#include "CoreMinimal.h"
#include "GenericGraphNode.h"
#include "DialogueTextNode.generated.h"

UENUM(BlueprintType)
enum class EDialoguePosition : uint8
{
	Left,
	Right
};

UCLASS(Blueprintable)
class UDialogueTextNode : public UGenericGraphNode
{
	GENERATED_BODY()
public:
	UDialogueTextNode();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	FText Text;

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	EDialoguePosition DialoguePosition;

#if WITH_EDITOR
	virtual FText GetNodeTitle() const override;

	virtual void SetNodeTitle(const FText& NewTitle) override;

	virtual FLinearColor GetBackgroundColor() const override;
#endif
};